List Users
curl --request GET \
--url https://api.recallrai.com/api/v1/users \
--header 'X-Recallr-Api-Key: <x-recallr-api-key>' \
--header 'X-Recallr-Project-Id: <x-recallr-project-id>'import requests
url = "https://api.recallrai.com/api/v1/users"
headers = {
"X-Recallr-Project-Id": "<x-recallr-project-id>",
"X-Recallr-Api-Key": "<x-recallr-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Recallr-Project-Id': '<x-recallr-project-id>',
'X-Recallr-Api-Key': '<x-recallr-api-key>'
}
};
fetch('https://api.recallrai.com/api/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"users": [
{
"custom_user_id": "<string>",
"metadata": {},
"merge_conflict_enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"last_active_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"has_more": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Users
List Users
List all users in your project with pagination and filtering.
Retrieve all registered users with support for metadata-based filtering and partial user ID search. Results include user activity timestamps and custom metadata.
Query Parameters:
offset(int): Number of records to skip for pagination. Default: 0limit(int): Maximum records to return. Range: 1-100. Default: 10metadata_filter(str): JSON string filter for user metadata (supports nested JSON matching)partial_user_id(str): Partial user ID to search for (case-insensitive)
Returns:
users(List[UserInfo]): List of user objectstotal(int): Total number of users matching the filtershas_more(bool): Whether more users are available beyond the current page
GET
/
api
/
v1
/
users
List Users
Query Parameters
Required range:
x >= 0Required range:
1 <= x <= 100Was this page helpful?
⌘I

